server {
    listen 80;
    server_name {{ inventory_hostname }};

    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl http2;
    server_name {{ inventory_hostname }};

    server_tokens off;

    ssl_certificate /etc/letsencrypt/live/hokiegeek.net/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/hokiegeek.net/privkey.pem;

    ssl_session_cache  builtin:1000  shared:SSL:10m;
    ssl_protocols  TLSv1 TLSv1.1 TLSv1.2;
    ssl_ciphers HIGH:!aNULL:!eNULL:!EXPORT:!CAMELLIA:!DES:!MD5:!PSK:!RC4;
    ssl_prefer_server_ciphers on;


    location / {
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $http_host;
        proxy_redirect off;
        proxy_pass http://teadb/;
    }
}
